Bug 1152384 - lxc-top is not longer working
Summary: lxc-top is not longer working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: lxc
Version: epel7
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-14 03:59 UTC by Sklav
Modified: 2015-11-11 18:22 UTC (History)
4 users (show)

Fixed In Version: lxc-1.0.7-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-11 18:22:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Sklav 2014-10-14 03:59:02 UTC
Description of problem:
when running lxc-top
the following crash happens this was fixed in the previous release and seems to have made it's way back into this version.

lua: /usr/share/lua/5.1/lxc.lua:274: attempt to index local 'lines' (a nil value)
stack traceback:
	/usr/share/lua/5.1/lxc.lua:274: in function 'stat_match_get_int'
	/usr/share/lua/5.1/lxc.lua:297: in function 'stats_get'
	/usr/bin/lxc-top:162: in function 'container_list_update'
	/usr/bin/lxc-top:227: in main chunk
	[C]: ?

Version-Release number of selected component (if applicable):
lxc-1.0.6-1.el7.x86_64

How reproducible:
install the latest version from EPEL-7 at this time lxc-1.0.6-1.el7.x86_64


Steps to Reproduce:
1. lxc-top

Actual results:
lua: /usr/share/lua/5.1/lxc.lua:274: attempt to index local 'lines' (a nil value)
stack traceback:
	/usr/share/lua/5.1/lxc.lua:274: in function 'stat_match_get_int'
	/usr/share/lua/5.1/lxc.lua:297: in function 'stats_get'
	/usr/bin/lxc-top:162: in function 'container_list_update'
	/usr/bin/lxc-top:227: in main chunk
	[C]: ?

Expected results:
proper results

Additional info:
this was fixed in the previous EPEL-7 release lxc-1.0.5-5.el7.x86_64

Comment 1 Sklav 2014-10-22 15:24:27 UTC
Weird but all of a sudden lxc-top is working again. Nothing has changed on the server.

Comment 2 Sklav 2014-10-23 16:56:43 UTC
Ok Some serious weirdness today it is no longer working.

lxc-top
lua: /usr/share/lua/5.1/lxc.lua:274: attempt to index local 'lines' (a nil value)
stack traceback:
	/usr/share/lua/5.1/lxc.lua:274: in function 'stat_match_get_int'
	/usr/share/lua/5.1/lxc.lua:297: in function 'stats_get'
	/usr/bin/lxc-top:162: in function 'container_list_update'
	/usr/bin/lxc-top:227: in main chunk
	[C]: ?

Comment 3 Vladimir Stackov 2015-01-05 01:04:17 UTC
Same here.

Error is floating, can't get 100% reproducibility.

Comment 4 Thomas Moschny 2015-01-26 19:29:02 UTC
This is https://github.com/lxc/lxc/issues/403, and can be fixed with a mini-patch.

Not sure yet if this warrants a new build.

Comment 5 Thomas Moschny 2015-04-26 07:52:50 UTC
For the record, this will be in 1.0.8, once it's released.

Comment 6 Fedora Update System 2015-10-25 09:05:12 UTC
lxc-1.0.7-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3cdbf28493

Comment 7 Fedora Update System 2015-10-26 21:19:48 UTC
lxc-1.0.7-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update lxc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3cdbf28493

Comment 8 Fedora Update System 2015-11-11 18:22:21 UTC
lxc-1.0.7-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.